import { QueryList } from '@angular/core';
import { AbstractControl, FormArray, FormControl, FormGroup } from '@angular/forms';
import { AbstractType } from '../form-type/abstract-type';
import { FormSlotComponent } from '../form-slot/form-slot.component';
export declare abstract class AbstractFormFieldComponent<T extends AbstractType<any>> {
    formGroup: FormGroup;
    element: FormControl | FormArray | FormGroup | AbstractControl;
    index: number;
    fieldType: T;
    path: string;
    slots: QueryList<FormSlotComponent>;
}
