import { ComponentFactoryResolver, OnChanges, SimpleChanges, ViewContainerRef } from '@angular/core';
import { AbstractFormFieldComponent } from '../abstract-form-field/abstract-form-field.component';
export declare class FormFieldComponent extends AbstractFormFieldComponent<any> implements OnChanges {
    readonly viewRef: ViewContainerRef;
    readonly cfr: ComponentFactoryResolver;
    constructor(viewRef: ViewContainerRef, cfr: ComponentFactoryResolver);
    ngOnChanges(changes: SimpleChanges): void;
    render(): void;
}
