import { AfterViewInit, ChangeDetectorRef, ComponentFactoryResolver, OnChanges, QueryList, SimpleChanges } from '@angular/core';
import { FormSlotComponent } from '../form-slot/form-slot.component';
import { AbstractFormFieldComponent } from '../abstract-form-field/abstract-form-field.component';
import { FormModel } from '../form-builder/form-builder.component';
export declare class FormGroupComponent extends AbstractFormFieldComponent<any> implements OnChanges, AfterViewInit {
    private readonly cfr;
    private readonly cdr;
    isRootGroup: boolean;
    model: FormModel;
    mySlots: QueryList<FormSlotComponent>;
    renderTargets: {
        [key: string]: FormSlotComponent;
    };
    private initializeTimeoutHandle;
    orderAsGiven: () => number;
    readonly groupPath: string;
    readonly indexFromParent: number;
    constructor(cfr: ComponentFactoryResolver, cdr: ChangeDetectorRef);
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private renderElementsInSlots;
    private createRenderTargets;
    pathForField(fieldName: string): string;
}
