import { Type } from '@angular/core';
import { AsyncValidatorFn, ValidatorFn } from '@angular/forms';
import { FormBuilderComponent } from '../form-builder/form-builder.component';
import { AbstractControlOptions } from '@angular/forms/src/model';
export declare abstract class AbstractType<T> {
    options: T;
    abstract readonly component: Type<any>;
    builderInstance: FormBuilderComponent;
    readonly asyncValidators: AsyncValidatorFn[];
    readonly validators: ValidatorFn[];
    readonly updateOn: 'change' | 'blur' | 'submit' | null;
    readonly disabled: boolean;
    readonly controlOptions: AbstractControlOptions;
    constructor(options: T);
}
